Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class StdfBaseAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.StdfBaseAbstractType

    public abstract class StdfBaseAbstractType

extends java.lang.Object

The StdfBase structure specifies general information about a style.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Method Summary
`int` | `getBchUpe()` An unsigned integer that specifies the size, in bytes, of std in LPStd.
`byte` | `getCupx()` number of UPXs (and UPEs)
`byte` | `getFReserved()` This value MUST be 0 and MUST be ignored
`short` | `getGrfstd()` A GRFSTD that specifies miscellaneous style properties.
`short` | `getInfo1()` Get the info1 field for the StdfBase record.
`short` | `getInfo2()` Get the info2 field for the StdfBase record.
`short` | `getInfo3()` Get the info3 field for the StdfBase record.
`short` | `getIstdBase()` base style
`short` | `getIstdNext()` next style
`static int` | `getSize()` Size of record
`short` | `getSti()` An unsigned integer that specifies the invariant style identifier for application-defined styles, or 0x0FFE for user-defined styles
`byte` | `getStk()` style kind
`boolean` | `isF97LidsSet()` Specifies whether sprmCRgLid0_80 and sprmCRgLid1_80 were applied, as appropriate, to this paragraph or character style for compatibility with applications that do not support sprmCRgLid0, sprmCRgLid1, and sprmCFNoProof
`boolean` | `isFAutoRedef()` number of UPXs (and UPEs)
`boolean` | `isFCopyLang()` If f97LidsSet is 1, this value specifies whether the applied compatibility sprmCRgLid0_80 or sprmCRgLid1_80 specified an actual language or a special LID value (0x0400) signifying that no proofing is needed for the text.
`boolean` | `isFHasUpe()` This bit is undefined and MUST be ignored
`boolean` | `isFHidden()` Specifies whether this style is not shown in the application UI
`boolean` | `isFInternalUse()` This bit is undefined and MUST be ignored
`boolean` | `isFInvalHeight()` Specifies whether the paragraph height information in the fcPlcfPhe field of FibRgFcLcb97, for any paragraphs having this paragraph style, MUST be ignored.
`boolean` | `isFLocked()` Specifies whether this style is prevented from being applied by using the application UI
`boolean` | `isFMassCopy()` This bit is undefined and MUST be ignored
`boolean` | `isFNoHtmlExport()` This value MUST be 0 and MUST be ignored
`boolean` | `isFPersonal()` Specifies whether this character style was applied to format all message text from one or more users in an e-mail
`boolean` | `isFPersonalCompose()` Specifies whether this character style can be used to automatically format the new message text in a new e-mail
`boolean` | `isFPersonalReply()` Specifies whether this character style can be used to automatically format the new message text when replying to an e-mail
`boolean` | `isFQFormat()` Specifies whether this style is shown in the Ribbon Style gallery
`boolean` | `isFScratch()` spare field for any temporary use, always reset back to zero!
`boolean` | `isFSemiHidden()` Specifies whether this style is not shown in the simplified main styles UI of the application
`boolean` | `isFUnhideWhenUsed()` Specifies whether the fSemiHidden property is to be set to 0 when this style is used
`void` | `serialize(byte[] data, int offset)`
`void` | `setBchUpe(int field_4_bchUpe)` An unsigned integer that specifies the size, in bytes, of std in LPStd.
`void` | `setCupx(byte value)` Sets the cupx field value.
`void` | `setF97LidsSet(boolean value)` Sets the f97LidsSet field value.
`void` | `setFAutoRedef(boolean value)` Sets the fAutoRedef field value.
`void` | `setFCopyLang(boolean value)` Sets the fCopyLang field value.
`void` | `setFHasUpe(boolean value)` Sets the fHasUpe field value.
`void` | `setFHidden(boolean value)` Sets the fHidden field value.
`void` | `setFInternalUse(boolean value)` Sets the fInternalUse field value.
`void` | `setFInvalHeight(boolean value)` Sets the fInvalHeight field value.
`void` | `setFLocked(boolean value)` Sets the fLocked field value.
`void` | `setFMassCopy(boolean value)` Sets the fMassCopy field value.
`void` | `setFNoHtmlExport(boolean value)` Sets the fNoHtmlExport field value.
`void` | `setFPersonal(boolean value)` Sets the fPersonal field value.
`void` | `setFPersonalCompose(boolean value)` Sets the fPersonalCompose field value.
`void` | `setFPersonalReply(boolean value)` Sets the fPersonalReply field value.
`void` | `setFQFormat(boolean value)` Sets the fQFormat field value.
`void` | `setFReserved(byte value)` Sets the fReserved field value.
`void` | `setFScratch(boolean value)` Sets the fScratch field value.
`void` | `setFSemiHidden(boolean value)` Sets the fSemiHidden field value.
`void` | `setFUnhideWhenUsed(boolean value)` Sets the fUnhideWhenUsed field value.
`void` | `setGrfstd(short field_5_grfstd)` A GRFSTD that specifies miscellaneous style properties.
`void` | `setInfo1(short field_1_info1)` Set the info1 field for the StdfBase record.
`void` | `setInfo2(short field_2_info2)` Set the info2 field for the StdfBase record.
`void` | `setInfo3(short field_3_info3)` Set the info3 field for the StdfBase record.
`void` | `setIstdBase(short value)` Sets the istdBase field value.
`void` | `setIstdNext(short value)` Sets the istdNext field value.
`void` | `setSti(short value)` Sets the sti field value.
`void` | `setStk(byte value)` Sets the stk field value.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getInfo1

    public short getInfo1()

  Get the info1 field for the StdfBase record.

### setInfo1

    public void setInfo1(short field_1_info1)

  Set the info1 field for the StdfBase record.

### getInfo2

    public short getInfo2()

  Get the info2 field for the StdfBase record.

### setInfo2

    public void setInfo2(short field_2_info2)

  Set the info2 field for the StdfBase record.

### getInfo3

    public short getInfo3()

  Get the info3 field for the StdfBase record.

### setInfo3

    public void setInfo3(short field_3_info3)

  Set the info3 field for the StdfBase record.

### getBchUpe

    public int getBchUpe()

  An unsigned integer that specifies the size, in bytes, of std in LPStd. This value MUST be equal to cbStd in LPStd.

### setBchUpe

    public void setBchUpe(int field_4_bchUpe)

  An unsigned integer that specifies the size, in bytes, of std in LPStd. This value MUST be equal to cbStd in LPStd.

### getGrfstd

    public short getGrfstd()

  A GRFSTD that specifies miscellaneous style properties.

### setGrfstd

    public void setGrfstd(short field_5_grfstd)

  A GRFSTD that specifies miscellaneous style properties.

### setSti

    public void setSti(short value)

  Sets the sti field value. An unsigned integer that specifies the invariant style identifier for application-defined styles, or 0x0FFE for user-defined styles

### getSti

    public short getSti()

  An unsigned integer that specifies the invariant style identifier for application-defined styles, or 0x0FFE for user-defined styles

  Returns:
    the sti field value.

### setFScratch

    public void setFScratch(boolean value)

  Sets the fScratch field value. spare field for any temporary use, always reset back to zero!

### isFScratch

    public boolean isFScratch()

  spare field for any temporary use, always reset back to zero!

  Returns:
    the fScratch field value.

### setFInvalHeight

    public void setFInvalHeight(boolean value)

  Sets the fInvalHeight field value. Specifies whether the paragraph height information in the fcPlcfPhe field of FibRgFcLcb97, for any paragraphs having this paragraph style, MUST be ignored. SHOULD be 0

### isFInvalHeight

    public boolean isFInvalHeight()

  Specifies whether the paragraph height information in the fcPlcfPhe field of FibRgFcLcb97, for any paragraphs having this paragraph style, MUST be ignored. SHOULD be 0

  Returns:
    the fInvalHeight field value.

### setFHasUpe

    public void setFHasUpe(boolean value)

  Sets the fHasUpe field value. This bit is undefined and MUST be ignored

### isFHasUpe

    public boolean isFHasUpe()

  This bit is undefined and MUST be ignored

  Returns:
    the fHasUpe field value.

### setFMassCopy

    public void setFMassCopy(boolean value)

  Sets the fMassCopy field value. This bit is undefined and MUST be ignored

### isFMassCopy

    public boolean isFMassCopy()

  This bit is undefined and MUST be ignored

  Returns:
    the fMassCopy field value.

### setStk

    public void setStk(byte value)

  Sets the stk field value. style kind

### getStk

    public byte getStk()

  style kind

  Returns:
    the stk field value.

### setIstdBase

    public void setIstdBase(short value)

  Sets the istdBase field value. base style

### getIstdBase

    public short getIstdBase()

  base style

  Returns:
    the istdBase field value.

### setCupx

    public void setCupx(byte value)

  Sets the cupx field value. number of UPXs (and UPEs)

### getCupx

    public byte getCupx()

  number of UPXs (and UPEs)

  Returns:
    the cupx field value.

### setIstdNext

    public void setIstdNext(short value)

  Sets the istdNext field value. next style

### getIstdNext

    public short getIstdNext()

  next style

  Returns:
    the istdNext field value.

### setFAutoRedef

    public void setFAutoRedef(boolean value)

  Sets the fAutoRedef field value. number of UPXs (and UPEs)

### isFAutoRedef

    public boolean isFAutoRedef()

  number of UPXs (and UPEs)

  Returns:
    the fAutoRedef field value.

### setFHidden

    public void setFHidden(boolean value)

  Sets the fHidden field value. Specifies whether this style is not shown in the application UI

### isFHidden

    public boolean isFHidden()

  Specifies whether this style is not shown in the application UI

  Returns:
    the fHidden field value.

### setF97LidsSet

    public void setF97LidsSet(boolean value)

  Sets the f97LidsSet field value. Specifies whether sprmCRgLid0_80 and sprmCRgLid1_80 were applied, as appropriate, to this paragraph or character style for compatibility with applications that do not support sprmCRgLid0, sprmCRgLid1, and sprmCFNoProof

### isF97LidsSet

    public boolean isF97LidsSet()

  Specifies whether sprmCRgLid0_80 and sprmCRgLid1_80 were applied, as appropriate, to this paragraph or character style for compatibility with applications that do not support sprmCRgLid0, sprmCRgLid1, and sprmCFNoProof

  Returns:
    the f97LidsSet field value.

### setFCopyLang

    public void setFCopyLang(boolean value)

  Sets the fCopyLang field value. If f97LidsSet is 1, this value specifies whether the applied compatibility sprmCRgLid0_80 or sprmCRgLid1_80 specified an actual language or a special LID value (0x0400) signifying that no proofing is needed for the text. This MUST be ignored if f97LidsSet is 0

### isFCopyLang

    public boolean isFCopyLang()

  If f97LidsSet is 1, this value specifies whether the applied compatibility sprmCRgLid0_80 or sprmCRgLid1_80 specified an actual language or a special LID value (0x0400) signifying that no proofing is needed for the text. This MUST be ignored if f97LidsSet is 0

  Returns:
    the fCopyLang field value.

### setFPersonalCompose

    public void setFPersonalCompose(boolean value)

  Sets the fPersonalCompose field value. Specifies whether this character style can be used to automatically format the new message text in a new e-mail

### isFPersonalCompose

    public boolean isFPersonalCompose()

  Specifies whether this character style can be used to automatically format the new message text in a new e-mail

  Returns:
    the fPersonalCompose field value.

### setFPersonalReply

    public void setFPersonalReply(boolean value)

  Sets the fPersonalReply field value. Specifies whether this character style can be used to automatically format the new message text when replying to an e-mail

### isFPersonalReply

    public boolean isFPersonalReply()

  Specifies whether this character style can be used to automatically format the new message text when replying to an e-mail

  Returns:
    the fPersonalReply field value.

### setFPersonal

    public void setFPersonal(boolean value)

  Sets the fPersonal field value. Specifies whether this character style was applied to format all message text from one or more users in an e-mail

### isFPersonal

    public boolean isFPersonal()

  Specifies whether this character style was applied to format all message text from one or more users in an e-mail

  Returns:
    the fPersonal field value.

### setFNoHtmlExport

    public void setFNoHtmlExport(boolean value)

  Sets the fNoHtmlExport field value. This value MUST be 0 and MUST be ignored

### isFNoHtmlExport

    public boolean isFNoHtmlExport()

  This value MUST be 0 and MUST be ignored

  Returns:
    the fNoHtmlExport field value.

### setFSemiHidden

    public void setFSemiHidden(boolean value)

  Sets the fSemiHidden field value. Specifies whether this style is not shown in the simplified main styles UI of the application

### isFSemiHidden

    public boolean isFSemiHidden()

  Specifies whether this style is not shown in the simplified main styles UI of the application

  Returns:
    the fSemiHidden field value.

### setFLocked

    public void setFLocked(boolean value)

  Sets the fLocked field value. Specifies whether this style is prevented from being applied by using the application UI

### isFLocked

    public boolean isFLocked()

  Specifies whether this style is prevented from being applied by using the application UI

  Returns:
    the fLocked field value.

### setFInternalUse

    public void setFInternalUse(boolean value)

  Sets the fInternalUse field value. This bit is undefined and MUST be ignored

### isFInternalUse

    public boolean isFInternalUse()

  This bit is undefined and MUST be ignored

  Returns:
    the fInternalUse field value.

### setFUnhideWhenUsed

    public void setFUnhideWhenUsed(boolean value)

  Sets the fUnhideWhenUsed field value. Specifies whether the fSemiHidden property is to be set to 0 when this style is used

### isFUnhideWhenUsed

    public boolean isFUnhideWhenUsed()

  Specifies whether the fSemiHidden property is to be set to 0 when this style is used

  Returns:
    the fUnhideWhenUsed field value.

### setFQFormat

    public void setFQFormat(boolean value)

  Sets the fQFormat field value. Specifies whether this style is shown in the Ribbon Style gallery

### isFQFormat

    public boolean isFQFormat()

  Specifies whether this style is shown in the Ribbon Style gallery

  Returns:
    the fQFormat field value.

### setFReserved

    public void setFReserved(byte value)

  Sets the fReserved field value. This value MUST be 0 and MUST be ignored

### getFReserved

    public byte getFReserved()

  This value MUST be 0 and MUST be ignored

  Returns:
    the fReserved field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD